org.eclipse.rdf4j.query.resultio.text

## Class SPARQLResultsXSVMappingStrategy

- java.lang.Object
- - org.eclipse.rdf4j.query.resultio.text.SPARQLResultsXSVMappingStrategy

- All Implemented Interfaces:
    com.opencsv.bean.MappingStrategy<BindingSet>
  Direct Known Subclasses:
    SPARQLResultsCSVMappingStrategy, SPARQLResultsTSVMappingStrategy

      public abstract class SPARQLResultsXSVMappingStrategy
      extends Object
      implements com.opencsv.bean.MappingStrategy<BindingSet>

  This serves as a base class for mapping strategies for character separated inputs. Specifically, it is meant for `SPARQLResultsCSVMappingStrategy` and `SPARQLResultsTSVMappingStrategy`.
  Author:
    Andrew Rucker Jones

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<String>` | `bindingNames`
    `protected static Pattern` | `numberPattern`
    `protected ValueFactory` | `valueFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SPARQLResultsXSVMappingStrategy(ValueFactory valueFactory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `BindingSet` | `createBean()` Deprecated.
    `PropertyDescriptor` | `findDescriptor(int col)` Deprecated.
    `com.opencsv.bean.BeanField<BindingSet>` | `findField(int col)` Deprecated.
    `int` | `findMaxFieldIndex()` Deprecated.
    `String[]` | `generateHeader(BindingSet bean)`
    `List<String>` | `getBindingNames()`
    `Integer` | `getColumnIndex(String name)` Deprecated.
    `boolean` | `isAnnotationDriven()`
    `protected Value` | `parseNumberPatternMatch(String valueString)` This method parses a number as matched by `numberPattern` into a `Value`.
    `BindingSet` | `populateNewBeanWithIntrospection(String[] line)` Deprecated.
    `void` | `setErrorLocale(Locale errorLocale)`
    `void` | `setType(Class<? extends BindingSet> type)`
    `String[]` | `transmuteBean(BindingSet bean)`
    `void` | `verifyLineLength(int numberOfFields)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.opencsv.bean.MappingStrategy

      `captureHeader, populateNewBean`

- - ### Field Detail

    - #### bindingNames

          protected List<String> bindingNames

    - #### valueFactory

          protected final ValueFactory valueFactory

    - #### numberPattern

          protected static final Pattern numberPattern

  - ### Constructor Detail

    - #### SPARQLResultsXSVMappingStrategy

          public SPARQLResultsXSVMappingStrategy(ValueFactory valueFactory)

  - ### Method Detail

    - #### getBindingNames

          public List<String> getBindingNames()

    - #### findDescriptor

          @Deprecated
          public PropertyDescriptor findDescriptor(int col)

      Deprecated.
      Specified by:
        `findDescriptor` in interface `com.opencsv.bean.MappingStrategy<BindingSet>`

    - #### findField

          @Deprecated
          public com.opencsv.bean.BeanField<BindingSet> findField(int col)

      Deprecated.
      Specified by:
        `findField` in interface `com.opencsv.bean.MappingStrategy<BindingSet>`

    - #### findMaxFieldIndex

          @Deprecated
          public int findMaxFieldIndex()

      Deprecated.
      Specified by:
        `findMaxFieldIndex` in interface `com.opencsv.bean.MappingStrategy<BindingSet>`

    - #### createBean

          @Deprecated
          public BindingSet createBean()

      Deprecated.
      Specified by:
        `createBean` in interface `com.opencsv.bean.MappingStrategy<BindingSet>`

    - #### generateHeader

          public String[] generateHeader(BindingSet bean)

      Specified by:
        `generateHeader` in interface `com.opencsv.bean.MappingStrategy<BindingSet>`

    - #### getColumnIndex

          @Deprecated
          public Integer getColumnIndex(String name)

      Deprecated.
      Specified by:
        `getColumnIndex` in interface `com.opencsv.bean.MappingStrategy<BindingSet>`

    - #### isAnnotationDriven

          public boolean isAnnotationDriven()

      Specified by:
        `isAnnotationDriven` in interface `com.opencsv.bean.MappingStrategy<BindingSet>`

    - #### parseNumberPatternMatch

          protected Value parseNumberPatternMatch(String valueString)

      This method parses a number as matched by `numberPattern` into a `Value`.
      Parameters:
        `valueString` - The string to be parsed into a number
      Returns:
        The parsed value

    - #### populateNewBeanWithIntrospection

          @Deprecated
          public BindingSet populateNewBeanWithIntrospection(String[] line)

      Deprecated.
      Specified by:
        `populateNewBeanWithIntrospection` in interface `com.opencsv.bean.MappingStrategy<BindingSet>`

    - #### verifyLineLength

          @Deprecated
          public void verifyLineLength(int numberOfFields)

      Deprecated.
      Specified by:
        `verifyLineLength` in interface `com.opencsv.bean.MappingStrategy<BindingSet>`

    - #### setErrorLocale

          public void setErrorLocale(Locale errorLocale)

      Specified by:
        `setErrorLocale` in interface `com.opencsv.bean.MappingStrategy<BindingSet>`

    - #### setType

          public void setType(Class<? extends BindingSet> type)

      Specified by:
        `setType` in interface `com.opencsv.bean.MappingStrategy<BindingSet>`

    - #### transmuteBean

          public String[] transmuteBean(BindingSet bean)

      Specified by:
        `transmuteBean` in interface `com.opencsv.bean.MappingStrategy<BindingSet>`

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.